import type { NextPage } from "next";

import MyTitle from "../components/MyTitle";
import AboutMe from "../components/AboutMe";
import Services from "../components/Services";
import Contact from "../components/Contact";
import FullStory from "../components/FullStory";
import { NextSeo } from "next-seo";

const Home: NextPage = () => {
	return (
		<>
			<NextSeo
				title="Roman Developer"
				description="Primárně se zaměřuji na vývoj frontendů webových aplikací. Ale jsem schopný dělat vývoj i backedovžch částí webových aplikací."
				openGraph={{
					url: "https://romanjaros.cz",
					type: "websites",
					title: "Roman Jaroš Developer Portfolio",
					description: "Portfolio web vývojáře Roman Jaroš",
					site_name: "Roman Developer",
					locale: "Czech Republic",
					images: [
						{
							url: "http://romanjaros.cz/me.svg",
							alt: "me",
						},
					],
				}}
			/>
			<div className="mx-auto w-full md:w-4/5">
				<div className="text-center mb-20">
					<MyTitle
						left="Roman"
						right="Developer"
						className="text-5xl lg:text-6xl justify-center"
					/>
				</div>
				<AboutMe />
				<Services />
				<Contact />
				<FullStory />
			</div>
		</>
	);
};

export default Home;
